Subject: Re: Assorted patches - number one

From: Dan Malek <[email-masked]>
Date: Tue, 04 Sep 2001 18:02:37 -0400

Paul Mackerras wrote:

> These are the 4xx registers, aren't they?  We had definitions in like
> this before, does anyone remember why they were removed?

The 7450 has a 'software TLB' mode, which would use these registers.
I didn't plan on ever using that mode in Linux, so there really isn't
any need for them to be defined.

I'm also thinking we should move the cache control register definitions
to 'cache.h', to stop the ever growing size of processor.h.  I'm also
a minimalist programmer.....why do we define all of this crap if we
don't use it?  If you want to know how _all_ of the registers and
bits are used, read the programming manual for the processor.......

Thanks.

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/